desktopcouch-service hangs up CPU

Bug #774295 reported by Pimentel28 on 2011-04-30
90
This bug affects 16 people
Affects Status Importance Assigned to Milestone
desktopcouch (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: desktopcouch

At times, desktopcouch-service uses up to 200% of the CPU, and staying there for at least 30 seconds. This left me with no choice but to kill the process, to avoid overheating my processor (which brought my AMD Dual Core Athlon dangerously close to 100 degrees Celsius). I was not searching contacts, but Evolution Mail was idle in the background.

Description: Ubuntu 11.04
Release: 11.04

  Installed: 1.0.7-0ubuntu2
  Candidate: 1.0.7-0ubuntu2
  Version table:
 *** 1.0.7-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

Related branches

Pimentel28 (pimentel28) wrote :

Forgot to include the info with Apport. The file is attached.

Changed in desktopcouch (Ubuntu):
assignee: nobody → Eric Casteleijn (thisfred)
Eric Casteleijn (thisfred) wrote :

Chad, any idea what can cause it to take up that much CPU for that long?

Pimentel28: You are sure it is desktopcouch-service taking up the CPU, and not for instance beam.smp processes, right?(You can check by running 'top' and sorting by CPU usage, sorry if I'm stating the obvious.)

Changed in desktopcouch (Ubuntu):
assignee: Eric Casteleijn (thisfred) → Chad Miller (cmiller)
status: New → Incomplete
Chad Miller (cmiller) wrote :

No idea, offhand, Eric.

Pomentel28, in a terminal, please run "ps xuk -%cpu |head" and paste the results here, when you see that problem.

Pimentel28 (pimentel28) wrote :

@Eric beam.smp processes tend to stay only at around 10% CPU at most.

@Chad I'll keep an eye on the processes, when the problem occurs again I'll post the results back here.

josep87 (josep87) wrote :

I have the same problem, and , almost always Ubuntu is opening the same repeated process again and again... and, then the CPU velocity decreases a lot. Here, I past the results of the "ps xuk -%cpu |head":

USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
josep 2047 78.3 1.1 20612 12272 ? R 10:57 0:44 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
josep 2072 10.6 0.3 8232 3668 pts/0 Ss 10:58 0:00 bash
josep 1299 12.3 5.4 153940 55404 ? Sl 10:45 1:38 compiz
josep 2065 8.5 1.4 94000 14680 ? Sl 10:58 0:00 gnome-terminal
josep 2010 3.6 6.8 184312 70404 ? Sl 10:55 0:07 /usr/lib/chromium-browser/chromium-browser --type=renderer --lang=ca --force-fieldtest=CacheSize/CacheSizeGroup_6/ConnCountImpact/conn_count_6/ConnnectBackupJobs/ConnectBackupJobsEnabled/DnsImpact/max_250ms_queue_prefetch/DnsParallelism/parallel_default/GlobalSdch/global_enable_sdch/IdleSktToImpact/idle_timeout_60/Prefetch/ContentPrefetchDisabled/ProxyConnectionImpact/proxy_connections_32/SSLFalseStart/FalseStart_disabled/SpdyCwnd/cwndDynamic/SpdyImpact/npn_with_spdy/ --disable-webgl --disable-gl-multisampling --disable-accelerated-compositing --channel=1947.0xb979f6c0.1526536661
josep 1947 2.6 5.7 337368 58924 ? Sl 10:53 0:07 /usr/lib/chromium-browser/chromium-browser
josep 2014 1.8 3.1 153412 32300 ? Sl 10:55 0:03 /proc/self/exe --type=plugin --plugin-path=/usr/lib/flashplugin-installer/libflashplayer.so --lang=ca --plugin-data-dir=/home/josep/.config/chromium/Default --channel=1947.0xb99e1000.621605283
josep 1512 1.7 1.4 102312 14520 ? Sl 10:45 0:13 /usr/lib/unity/unity-panel-service
josep 1322 0.8 1.3 92548 13988 ? Sl 10:45 0:06 indicator-multiload

Pimentel28 (pimentel28) wrote :

Here are my results:

USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
1000 8917 99.1 0.4 106176 17960 ? R 12:11 1:47 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
1000 8987 14.3 0.6 360720 25916 ? Sl 12:12 0:12 gnome-system-monitor
1000 8869 13.6 5.0 881836 193504 ? Sl 12:11 0:14 /usr/lib/firefox-4.0.1/firefox-bin
1000 2037 4.1 3.4 669620 130548 ? Sl 10:44 3:43 compiz
1000 2382 2.5 0.6 119904 23252 ? Sl 10:45 2:16 /usr/lib/erlang/erts-5.7.4/bin/beam.smp -Bd -K true -A 4 -- -root /usr/lib/erlang -progname erl -- -home /home/pimentel28 -- -noshell -noinput -sasl errlog_type error -couch_ini /etc/couchdb/default.ini /etc/xdg/desktop-couch/compulsory-auth.ini /home/pimentel28/.config/desktop-couch/desktop-couchdb.ini -s couch -pidfile /home/pimentel28/.cache/desktop-couch/desktop-couchdb.pid -heart
1000 2295 1.8 1.1 80380 45244 pts/0 S+ 10:45 1:38 python /home/pimentel28/Desktop/bot_2.py
1000 8956 1.1 0.4 85796 16760 ? Sl 12:11 0:01 /usr/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/lib/flashplugin-installer/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/8943-1
1000 8333 0.7 2.7 1005160 103440 ? Sl 11:38 0:15 banshee /usr/lib/banshee/Banshee.exe --redirect-log --play-enqueued
1000 8165 0.5 1.6 799416 62252 ? SLl 11:16 0:17 evolution --component=mail

Eric Kulcyk (erickulcyk) wrote :

If you look in the file, ~/.cache/desktop-couch/log/desktop-couch-replication.log (particularly when dc is using all the cpu), you may see which process is causing this.

MD4 (bruno-mueller) wrote :

Have the same problem, checked the log file mentioned above and found messages about ubuntuone.
So I entered the login information for ubuntuone. As soon as this was done the CPU usage dropped immediate

Pimentel28 (pimentel28) wrote :

Well, in my case I'm auto-signed into Ubuntu One....and desktopcouch-service occasionally decides to be a cpu hog.

bedi (bediharmeet88) wrote :

@MD4. Exactly. Same here.

Before logging UbuntuOne:
USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
harmeet 9261 99.3 0.4 110160 17872 ? R 18:06 1:00 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
harmeet 9103 8.3 5.6 945224 216380 ? Sl 17:56 0:55 /usr/lib/firefox-4.0.1/firefox-bin
harmeet 9280 6.7 0.1 27708 5132 pts/0 Ss 18:07 0:00 bash
harmeet 9273 4.2 0.4 329384 15924 ? Sl 18:07 0:00 gnome-terminal
harmeet 9150 3.2 0.5 89784 22900 ? S 17:56 0:20 /usr/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/lib/flashplugin-installer/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/9137-1
harmeet 1364 1.7 3.4 689428 131696 ? Sl 11:18 7:06 compiz
harmeet 9081 1.5 1.2 729292 49748 ? Sl 17:56 0:10 totem /home/harmeet/Music/Joginder Singh Riar (Ludhiane Wale) - Tera Sabh Sadka Waheguru.mp3
harmeet 1372 0.9 0.1 293552 5328 ? Ssl 11:18 4:00 /usr/bin/pulseaudio --start --log-target=syslog
harmeet 1374 0.2 1.2 601240 47484 ? Sl 11:18 0:58 nautilus

After logging UbuntuOne and waiting for a minute:
USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
harmeet 9361 15.0 0.4 112524 18368 ? S 18:08 0:27 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
harmeet 9103 6.5 5.6 928900 217000 ? Sl 17:56 0:59 /usr/lib/firefox-4.0.1/firefox-bin
harmeet 9150 2.3 0.5 89784 22900 ? S 17:56 0:20 /usr/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/lib/flashplugin-installer/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/9137-1
harmeet 9450 2.1 0.6 370328 23220 ? Sl 18:10 0:01 gedit
harmeet 1364 1.7 3.4 689428 131608 ? Sl 11:18 7:14 compiz
harmeet 9081 1.1 1.2 729292 49748 ? Sl 17:56 0:10 totem /home/harmeet/Music/Joginder Singh Riar (Ludhiane Wale) - Tera Sabh Sadka Waheguru.mp3
harmeet 1372 0.9 0.1 293552 5248 ? Ssl 11:18 4:00 /usr/bin/pulseaudio --start --log-target=syslog
harmeet 9273 0.2 0.4 329660 16292 ? Sl 18:07 0:00 gnome-terminal
harmeet 1374 0.2 1.1 601240 46028 ? Sl 11:18 0:58 nautilus

I think that connecting to ubuntu one is not the solution heren. I had the same problem. Currently I disabled
the service. A real fix would be one where it warns the user it can't connect and then stop trying to connect.

Think about the following situations where one would not like to use it.

1. Going to another country in within Europa, it would be very expensive to be online all of the time.
2. Being in a place where one does not have an internet connection.
3. When people disconnect from Ubuntu One due to privacy concerns.

I experience this same thing, an d it's killing the Ubuntu experience on my netbook :(

Ketil,

If you deinstall ubuntu one it is fixed (for me at least). If you don't need it this might be the answer for you.

Best regards,

Hans

Hans Wolters <email address hidden> wrote:

Ketil, If you deinstall ubuntu one it is fixed (for me at least). If you don't need it this might be the answer for you. Best regards, Hans -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/774295 Title: desktopcouch-service hangs up CPU Status in “desktopcouch” package in Ubuntu: Incomplete Bug description: Binary package hint: desktopcouch At times, desktopcouch-service uses up to 200% of the CPU, and staying there for at least 30 seconds. This left me with no choice but to kill the process, to avoid overheating my processor (which brought my AMD Dual Core Athlon dangerously close to 100 degrees Celsius). I was not searching contacts, but Evolution Mail was idle in the background. Description: Ubuntu 11.04 Release: 11.04 Installed: 1.0.7-0ubuntu2 Candidate: 1.0.7-0ubuntu2 Version table: *** 1.0.7-0ubuntu2 0 500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages 100 /var/lib/dpkg/status To manage
notifications about this bug go to: https://bugs.launchpad.net/ubuntu/+source/desktopcouch/+bug/774295/+subscriptions

I only uninstalled desktopcouch-ubuntuone and that did it.
--
Sent from my Android phone with K-9 Mail. Please excuse my brevity.

Pimentel28 (pimentel28) wrote :

It seems like the problem IS Ubuntu One, as it never occured to me when I did uninstall it, but when I re installed Ubuntu, desktouchcouch did hang up the CPU once again (with Ubuntu One installed)

Xijun Wang (xijunw) wrote :

I'm reporting the same problem, and confirm that the CPU burning would stop once Ubuntu-One is logged in.

Roman Yepishev (rye) wrote :

Chad, I was able to reproduce this on 1.0.7+r277-14~natty1 - simply delete the machine via ubuntuone control panel, restart desktopcouch and see it using all the CPU.

Nothing is written in desktopcouch-replication logs during this misbehavior.

DEBUG:replication:Looking up prefix for service 'ubuntuone'
INFO:root:get_oauth_data: asking for credentials to Ubuntu SSO. App name: Ubuntu One
INFO:root:Got credentials from Ubuntu SSO. Non emtpy credentials? False
DEBUG:replication:Looking up prefix for service 'ubuntuone'
ERROR:root:Could not get access token from sso.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/desktopcouch/application/replication_services/ubuntuone.py", line 103, in __str__
    consumer = oauth.OAuthConsumer(oauth_data['consumer_key'],
KeyError: 'consumer_key'
replication 2011-07-19 15:37:59,187 - Could not get access token from sso.
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/desktopcouch/application/replication_services/ubuntuone.py", line 103, in __str__
    consumer = oauth.OAuthConsumer(oauth_data['consumer_key'],
KeyError: 'consumer_key'
WARNING:replication:Can't reach service ubuntuone. No access token.
replication 2011-07-19 15:37:59,188 - Can't reach service ubuntuone. No access token.
DEBUG:replication:finished replicating
DEBUG:root:starting replicator main loop

Changed in desktopcouch (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → High

Same things happens here

Chad Miller (cmiller) on 2013-07-17
Changed in desktopcouch (Ubuntu):
assignee: Chad Miller (cmiller) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments